2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProjectCreator.java (create): Store reference to the latest created project.
	(getLatestProject): Add API for retrieving the latest created project.
	
2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProjectCreator.java (RPMProjectCreator): One more constructor to ease default.

2011-02-17  Alexander Kurtakov  <akurtako@redhat.com>
	Add utility class for creating rpm projects.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectCreator.java: New file.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectLayout.java: New file.

2010-09-14  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (RPMProject): Add set for storing missing dependencies.
	(buildPrep): Verify closing streams.
	(addMissingDependency): Simple way to add missing dependency.
	(getMissingDependencies): Retrieve missing dependencies.
	* src/org/eclipse/linuxtools/rpm/core/utils/Utils.java (.run): Verify streams are closing.
	(runCommand): Likewise.

2010-09-10  Alexander Kurtakov  <akurtako@redhat.com>
	Another job to store to java.io.File.
	* src/org/eclipse/linuxtools/rpm/core/utils/FileDownloadJob.java: New file.

2010-09-10  Alexander Kurtakov  <akurtako@redhat.com>
    Add a utility job for downloading file.
	* src/org/eclipse/linuxtools/rpm/core/utils/DownloadJob.java: New file.
	* src/org/eclipse/linuxtools/rpm/core/utils/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/core/utils/messages.properties: New file.

2010-08-31  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (buildAll): Do not call prep, rpmbuild is cleaning itself and prep may fail if clean wasn't run before it.
	(buildBinaryRPM): Likewise.
	(buildSourceRPM): Likewise.
	
2010-08-31  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMConfiguration.java (initialize): SOURCES and SPECS folder should not be set as derived.
	Fix deprecated setDerived usage.

2010-01-19  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMCorePlugin.java: Removed not needed methods.
	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (importSourceRPM): Assign directly to the variable.
	* src/org/eclipse/linuxtools/rpm/core/utils/Utils.java (fileExist): New method.
	(copyFile): Likewise.
	(inputStreamToString): Concatenate with StringBuilder.
	(runCommandToString): Fix javadoc.

2010-01-12  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java (install): Fix javadoc.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (buildAll): Likewise.
	(buildBinary): Likewise.
	(buildPrep): Likewise.
	(buildSource): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/Utils.java (runCommandToInputStream): Likewise.
	(inputStreamToString): Likewise.
	(runCommand): Likewise.

2010-01-08  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (buildSourceRPM): Make it void which writes to the passed OutputStream.
	(buildBinaryRPM): Likewise.
	(buildAll): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (buildAll): Likewise.
	(buildBinary): Likewise.
	(buildSource): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/Utils.java (runCommandToInputStream): Remove not needed try/catch.
	(inputStreamToString): Javadoc format.
	(runCommand): New method.

2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.ui.prefs: New file.
	
2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (setSpecFile): Store directly, there is no need to keep local variable.

2009-12-18  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMCoreInitializer.java: New file.
	* plugin.xml: Add preference Initializer.
	* src/org/eclipse/linuxtools/rpm/core/RPMCorePlugin.java (initializeDefaultPreferences): Remove deprecated message override. 

2009-08-13  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (buildPrep): Don't set sources folder.
	(generateFileCheckSum): Removed.
	(generateProjectChecksum): Removed.
	(prepareExport): Do not store checksums.
	(importSourceRPM): Likewise.
	(getSpecFile): Return first member of SPECS folder.

2009-08-07  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Fix provider to be Eclipse not Eclipse.org.

2009-07-21  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMProjectFactory.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/RPMConfiguration.java (initialize): Don't try to create existing folders.

2009-07-21  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/internal/Messages.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/rpm_strings.properties: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/SourceRPM.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/IRPMConfiguration.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/ISourceRPM.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/Messages.java: New file.
	* src/org/eclipse/linuxtools/rpm/core/rpm_strings.properties: New file.
	* src/org/eclipse/linuxtools/rpm/core/RPMConfiguration.java: New file.
	* src/org/eclipse/linuxtools/rpm/core/SourceRPM.java: New file.
	* META-INF/MANIFEST.MF: Remove package export.
	* src/org/eclipse/linuxtools/rpm/core/IRPMConstants.java: Fix imports.
	* src/org/eclipse/linuxtools/rpm/core/RPMCorePlugin.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java (getSourceRPM): Use implementations.
	(setSourceRPM): Likewise.
	(getConfiguration): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectFactory.java (getRPMProject): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java (RPM): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (RPMBuild): Likewise. 
	
2009-07-21  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/IRPMProject.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/RPMProject.java: New file.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectFactory.java (getRPMProject): Use the implementation directly.

2009-07-17  Alexander Kurtakov  <akurtako@redhat.com>

	* license.html: New file.
	* build.properties: Add license.html to bin.includes.
	
2009-07-17  Alexander Kurtakov  <akurtako@redhat.com>

	* META-INF/MANIFEST.MF: Sync version with other rpm plugins.
	* plugin.properties: Fix Copyright.
	* src/org/eclipse/linuxtools/rpm/core/internal/Messages.java: Fix Copyright.

2009-07-16  Alexander Kurtakov  <akurtako@redhat.com>

	* build.properties: Simplify build.
	* META-INF/MANIFEST.MF: Likewise.
	
2009-07-16  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/utils/Utils.java (runCommandToInputStream): Don't use Java 1.6 API.
	
2009-07-16  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/internal/utils/Command.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/ShellScript.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/StreamReaderThread.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/utils/Diff.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/utils/Utils.java: New file.
	* META-INF/MANIFEST.MF: Don't export o.e.l.rpm.core.internal.util.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java (buildSourceRPM): Return InputStream.
	(buildBinaryRPM): Likewise.
	(buildAll): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMProject.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java (install): Invoke directly instead of creating shell scripts.
	(RPM): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (buildAll): Likewise.
	(buildBinary): Likewise.
	(buildPrep): Likewise.
	(rebuild): Likewise.
	(buildSource): Likewise.
	(RPMBuild): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMQuery.java (getBuildTime): Likewise.
	(getHeaderInfo): Likewise.
	(getArch): Likewise.
	(query): Likewise.
	(getPostInstallScript): Likewise.
	(getPreInstallScript): Likewise.
	(getPlatform): Likewise.
	(getBuildHost): Likewise.
	(getChangelog): Likewise.
	(getPreUninstallScript): Likewise.
	(getProvides): Likewise.
	(getPostUninstallScript): Likewise.
	(getOS): Likewise.

2009-06-29  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: Enable more warnings.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/ShellScript.java (exec): Fix NON-NLS warning.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/StreamReaderThread.java (run): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMConstants.java (RPM_DISPLAYED_LOG_NAME): Remove not needed constants.
	* src/org/eclipse/linuxtools/rpm/core/RPMCorePlugin.java (getHostName): Removed.
	(getWorkspace): Likewise.
	(start): Likewise.
	(stop): Likewise.
	(initializeDefaultPreferences): Remove not needed constants.
	* src/org/eclipse/linuxtools/rpm/core/utils/Diff.java (Diff): Add missing NON-NLS.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java (RPM): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (RPMBuild): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMQuery.java (query): Likewise.

2009-06-29  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: New file.
	* build.properties: Externalize strings.
	* META-INF/MANIFEST.MF: Likewise.
	* plugin.xml: Likewise.

2009-06-25  Alexander Kurtakov  <akurtako@redhat.com>
	Fix for #281480.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java (importSourceRPM): Do not  build on import. 
	This prevents importing srpms that are not buildable for some reason. 

2009-06-25  Alexander Kurtakov  <akurtako@redhat.com>
	Fix for #179156.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/Command.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/ShellScript.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/StreamReaderThread.java: Removed.
	* build.properties: Remove reference to non-existing file.
	* META-INF/MANIFEST.MF: Fix package name.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/Command.java: Fix internal package names.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/ShellScript.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/utils/StreamReaderThread.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/Diff.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMQuery.java: Likewise.
	
2009-06-25  Alexander Kurtakov  <akurtako@redhat.com>

	* plugin.properties: Removed.
	* build.properties: Fix copyright header.
	* plugin.xml: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/Messages.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/rpm_strings.properties: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMConfiguration.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/SourceRPM.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMConfiguration.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMConstants.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMProject.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/ISourceRPM.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/RPMCorePlugin.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectFactory.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectNature.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/Diff.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/Command.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/ShellScript.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/StreamReaderThread.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java: Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMQuery.java: Likewise.

2009-06-09  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/IRPMConfiguration.java: Add TODO.
	
2009-06-09  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/RPMExportDelta.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java (buildSourceRPM): Adapt to RPMExportDelta removal.
	(buildBinaryRPM): Likewise.
	(buildAll): Likewise.
	(prepareExport): Likewise.
	(importSourceRPM): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMProject.java: Likewise.

2009-06-08  Alexander Kurtakov  <akurtako@redhat.com>

	* src/org/eclipse/linuxtools/rpm/core/internal/Patch.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/SpecFile.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/SpecFileParser.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/IPatch.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/ISpecFile.java: Removed.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java (setSpecFile): Remove not needed parts.
	(buildBinaryRPM): Likewise.
	(buildSourceRPM): Likewise.
	(buildAll): Likewise.
	(importSourceRPM): Likewise.
	(buildPrep): Likewise.
	(copySources): Likewise.
	(getSpecFile): Likewise.
	(getSourceRPM): Likewise.
	(RPMProject): Likewise.
	(setSourceRPM): Likewise.
	(prepareExport): Likewise.
	(generateFileCheckSum): Likewise.
	(generateProjectChecksum): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/IRPMProject.java (getProject): No more ISpecFile, use IFile.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectFactory.java (getRPMProject): Likewise.

2009-05-29  Alexander Kurtakov  <akurtako@redhat.com>

	* .classpath: J2SE-1.5.
	* src/org/eclipse/linuxtools/rpm/core/utils/Diff.java (Diff): Remove deprecated usage.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java (RPM): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (RPMBuild): Likewise. 
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMQuery.java (query): Likewise.

2009-05-28  Alexander Kurtakov  <akurtako@redhat.com>

	* .settings/org.eclipse.jdt.core.prefs: New file.
	* META-INF/MANIFEST.MF: BREE J2SE-1.5
	* src/org/eclipse/linuxtools/rpm/core/RPMCorePlugin.java (stop): Add @Override.
	(start): Likewise.
	(initializeDefaultPreferences): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/StreamReaderThread.java (run): Likewise.

2009-05-28  Alexander Kurtakov  <akurtako@redhat.com>
	Modernize.
	* plugin.properties: New file.
	* build.properties: Include plugin.properties.
	* src/org/eclipse/linuxtools/rpm/core/internal/RPMProject.java (findExcludedFiles): Modernize.
	(find): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/internal/SpecFileParser.java (getNumPatches): Likewise.
	(getLastPatchMacroLine): Likewise.
	(parseDefine): Likewise.
	(getSetupLine): Likewise.
	(parseNameVerRel): Likewise.
	(getUniquePatchId): Likewise.
	(parse): Likewise.
	(getLastSourceLine): Likewise.
	(parseConfigureArgs): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/RPMProjectNature.java (removeNature): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/internal/Command.java (exec): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPM.java (RPM): Likewise.
	* src/org/eclipse/linuxtools/rpm/core/utils/RPMBuild.java (RPMBuild): Likewise.

2008-11-01  Alexander Kurtakov  <akurtakov@gmail.com>

	* META-INF/MANIFEST.MF: Replace deprecated Eclipse-LazyStart usage.

2007-05-04  Andrew Overholt  <overholt@redhat.com>

	Bug #185598
	* META-INF/MANIFEST.MF: Add "Incubation" to Bundle-Name.

2007-04-05  Remy Suen  <remy.suen@gmail.com>

	Bug #181249
	* META-INF/MANIFEST.MF: Initial commit.
	* build.properties: Include MANIFEST.MF.
	* plugin.xml: Declare dependency and runtime information in an OSGi
	manifest.

2007-01-29  Andrew Overholt  <overholt@redhat.com>

	* : Re-namespace from cdt to linuxtools.

2005-05-27  Jeremy Handcock  <handcock@redhat.com>

	* plugin.xml: Bump version to 3.0.

2005-05-19  Jeremy Handcock  <handcock@redhat.com>

	Eclipse.org Bugzilla #82196:
	* src/org/eclipse/cdt/rpm/core/utils/RPMQuery.java: New.
	* src/org/eclipse/cdt/rpm/core/utils/internal/Command.java
	(exec): Return standard output as String.
	* src/org/eclipse/cdt/rpm/core/utils/internal/ShellScript.java
	(execNoLog): Same.
	(exec): Same.

2005-05-18  Jeremy Handcock  <handcock@redhat.com>

	Eclipse.org Bugzilla #82195:

	* build.properties (bin.includes): Correct.
	(src.includes): Ditto.
	* plugin.xml (runtime): Remove RPMPluginPreferencesPage.jar.

	* src/org/eclipse/cdt/rpm/core/IPatch.java: New.
	* src/org/eclipse/cdt/rpm/core/IRPMConfiguration.java: New.
	* src/org/eclipse/cdt/rpm/core/IRPMConstants.java: New.
	* src/org/eclipse/cdt/rpm/core/IRPMProject.java: New.
	* src/org/eclipse/cdt/rpm/core/ISourceRPM.java: New.
	* src/org/eclipse/cdt/rpm/core/LinuxShellCmds.java: Remove.
	* src/org/eclipse/cdt/rpm/core/Messages.java: Move to core.internal.
	* src/org/eclipse/cdt/rpm/core/rpm_strings.properties: Ditto.
	* src/org/eclipse/cdt/rpm/core/RPMCore.java: Remove.
	* src/org/eclipse/cdt/rpm/core/RPMCorePlugin.java
	(initializeDefaultPreferences): Use IRPMConstants.
	(getExternalLogFile): New method.
	* src/org/eclipse/cdt/rpm/core/RPMExport.java: Remove.
	* src/org/eclipse/cdt/rpm/core/RPMExportCore.java: Remove.
	* src/org/eclipse/cdt/rpm/core/RPMExportDelta.java: New.
	* src/org/eclipse/cdt/rpm/core/RPMProjectFactory.java: New.
	* src/org/eclipse/cdt/rpm/core/RPMProjectNature.java: New.
	* src/org/eclipse/cdt/rpm/core/SpecFileOps.java: Remove; move relics 
	to core.internal.SpecFileParser.
	* src/org/eclipse/cdt/rpm/core/SRPMExport.java: Remove.
	* src/org/eclipse/cdt/rpm/core/SRPMImport.java: Remove.
	* src/org/eclipse/cdt/rpm/core/StreamReaderThread.java: Move to 
	core.utils.internal.
	* src/org/eclipse/cdt/rpm/core/TarOps.java: Remove.

	* src/org/eclipse/cdt/rpm/core/internal/Messages.java: Move to here.
	* src/org/eclipse/cdt/rpm/core/internal/Patch.java: New.
	* src/org/eclipse/cdt/rpm/core/internal/rpm_strings.properties: Move to 
	here.
	* src/org/eclipse/cdt/rpm/core/internal/RPMConfiguration.java: New.
	* src/org/eclipse/cdt/rpm/core/internal/RPMProject.java: New.
	* src/org/eclipse/cdt/rpm/core/internal/SourceRPM.java: New.
	* src/org/eclipse/cdt/rpm/core/internal/SpecFile.java: New.
	* src/org/eclipse/cdt/rpm/core/internal/SpecFileParser.java: New.

	* src/org/eclipse/cdt/rpm/core/utils/Diff.java: New.
	* src/org/eclipse/cdt/rpm/core/utils/RPM.java: New.
	* src/org/eclipse/cdt/rpm/core/utils/RPMBuild.java: New.

	* src/org/eclipse/cdt/rpm/core/utils/internal/Command.java: New.
	* src/org/eclipse/cdt/rpm/core/utils/internal/ShellScript.java: New.
	* src/org/eclipse/cdt/rpm/core/utils/internal/StreamReaderThread.java:
	Moved to here.

2004-12-14  Rick Moseley  <rmoseley@redhat.com>

	* src/org/eclipse/cdt/rpm/core/RPMCore.java (generateChecksum): added call to new
	  method to calculate a true checksum (bz# 78767)
	* (fileCheckSum): new method to calculate checksum for a file for above change
	* (RPMCore): catch exception added to generateChecksum() for above change
	* (createSRPMinfo): catch exception added to generateChecksum() for above change
	* various externalize strings issues

2004-11-11  Rick Moseley  <rmoseley@redhat.com>
	* plugin.xml: change version to 1.2

2004-11-08  Rick Moseley  <rmoseley@redhat.com>

	* src/org/eclipse/cdt/rpm/core/LinuxShellCmds.java (executeLinuxCommand): add
	  capability to capture output from both stdout and stderr simultaneously

2004-11-04  Jeffery Pound  <jpound@redhat.com>

	* src/org/eclipse/cdt/rpm/core/LinuxShellCmds.java (): get commands from a 
	   properties bundle
	* src/org/eclipse/cdt/rpm/core/RPMCore.java (): ditto
	* src/org/eclipse/cdt/rpm/core/RPMCorePlugin.java (): ditto
	* src/org/eclipse/cdt/rpm/core/SpecFileOps.java (): ditto
	* src/org/eclipse/cdt/rpm/core/SRPMImport.java (): ditto
	* src/org/eclipse/cdt/rpm/core/TarOps.java (): ditto

2004-11-02  Rick Moseley  <rmoseley@redhat.com>

	* src/org/eclipse/cdt/rpm/core/LinuxShellCmds.java (getInfo): change method to be
		able to handle output to both stderr and stdout simultaneously
	* src/org/eclipse/cdt/rpm/core/StreamReaderThread.java : new class to handle
	   reading of stdout and stderr from shell commands

2004-09-08  Rick Moseley  <rmoseley@redhat.com>
	
	* fix screw-up from merge of branch from below fix

2004-09-07  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java (createRPMspec): remove
	  call to "id" to get group id; modify "make" command for creating spec file

2004-09-01  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java: clean up unnecessary "$NON-NLS-1"s
	* src/com/redhat/eclipse/rpm/core/TarOps.java: clean up unnecessary "$NON-NLS-1"s
	* src/com/redhat/eclipse/rpm/core/SRPMImport.java: clean up unnecessary "$NON-NLS-1"s
	* src/com/redhat/eclipse/rpm/core/RPMCore.java: * clean up unnecessary "$NON-NLS-1"s
	  add a couple that were needed
	* src/com/redhat/eclipse/rpm/core/RPMExportCore.java (renameSpecFile): 
	  BZ #131300
	* (run): BZ #131300
	* clean up unnecessary "$NON-NLS-1"s
	  
2004-08-31  rmoseley  <rmoseley@dhcp-232.hsv.redhat.com>

	* build.xml: Rebuilt after merging with head

2004-08-30  rmoseley  <rmoseley@dhcp-232.hsv.redhat.com>

	* plugin.xml : remove RPMPreferencesPages stuff forgotten from merge

2004-08-04  Jeremy Handcock  <handcock@redhat.com>
	
	* .cvsignore: New file.	
	* src/com/redhat/eclipse/rpm/core/prefs/RPMPluginPreferencesPage.java:
	Move to com.redhat.eclipse.rpm.ui.
	* src/com/redhat/eclipse/rpm/core/prefs/RPMCorePlugin.java: Move...
	* src/com/redhat/eclipse/rpm/core/RPMCorePlugin.java: ...to here.
	* plugin.xml: Rename main plugin class.  Remove preference page 
	extension.

2004-08-04  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/rpm_strings.properties: expand message
	  about parsing spec file

2004-07-28  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java (createRPMspec): 
	  bz #128603 - make method more flexible, use new rpm macros

2004-07-19  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/prefs/RPMCorePlugin.java (getHostName): added
	  this method, made it static and public so RPMPluginPreferencesPage can access it
	* src/com/redhat/eclipse/rpm/core/prefs/RPMPluginPreferencesPage.java (getUserName): 
	(initializeDefaultPreferences): get the default name/e-mail differently
	  remove this method and place it into RPMCorePlugin.java
	(initializeDefaultPreferences): add call to getUserName in RPMCorePluign
	   

2004-07-15  Rick Moseley  <rmoseley@redhat.com>

	* build.properties : change RpmCore -> RPMCore
	* build.xml: same
		change version from 1.0.0 to 1.1
	* plugin.xml: change version from 1.0.0 to 1.1

2004-07-14  Rick Moseley  <rmoseley@redhat.com>

	* build.xml : Eclipse 3.0 changes
	* src/com/redhat/eclipse/rpm/core/LinuxShellCmds.java : renames as seen below
	* src/com/redhat/eclipse/rpm/core/RPMCore.java : renamed from RpmCore.java
	* src/com/redhat/eclipse/rpm/core/RPMExport.java : renames as seen below
	* src/com/redhat/eclipse/rpm/core/RPMExportCore.java : renames as seen below
	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java : renames as seen below
	* src/com/redhat/eclipse/rpm/core/SRPMExport.java : renames as seen below
	* src/com/redhat/eclipse/rpm/core/SRPMImport.java : renames as seen below
	* src/com/redhat/eclipse/rpm/core/TarOps.java : rename RpmCore -> RPMCore
	* src/com/redhat/eclipse/rpm/core/prefs/RPMPluginPreferencesPage.java : rename
	* src/com/redhat/eclipse/rpm/core/prefs/RPMCorePlugin.java : rename
	* plugin.xml :rename RpmPreferencesPage -> RPMPreferencesPage
				  rename RpmCorePlugin -> RPMCorePlugin
				  3.0 updates
				  removed unneeded dependencies

2004-05-27  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/prefs/RpmPluginPreferencesPage.java : 
		remove ISO date variable, RPM changelog does not support it
	* src/com/redhat/eclipse/rpm/core/prefs/RpmCorePlugin.java : 
		remove ISO date variable, RPM changelog does not support it
	* src/com/redhat/eclipse/rpm/core/rpm_strings.properties : rename 
		RpmCore -> RPMCore
	* src/com/redhat/eclipse/rpm/core/SRPMImport.java (): rename 
		RpmCore -> RPMCore
	* src/com/redhat/eclipse/rpm/core/RPMExportCore.java (): rename 
		RpmCore -> RPMCore
	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java (returnDate): new for returning 
		date format
	(createRPMspec):add call to the above new method 

2004-05-26  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/RPMExport.java (RPMExport): changes for prefs store
	* src/com/redhat/eclipse/rpm/core/SRPMImport.java (): changed name from ImportSRPM
	* src/com/redhat/eclipse/rpm/core/SRPMImport.java (): changes for prefs store
	* src/com/redhat/eclipse/rpm/core/RpmCore.java (): changes for prefs store
	(RpmCore): change the way rpm build log name is generated  
	(setRpmbuild_logname): set the build log name from other classes 
	* plugin.xml : added preferences page
	* src/com/redhat/eclipse/rpm/core/prefs/RpmCorePlugin.java : new for prefs store
	* src/com/redhat/eclipse/rpm/core/prefs/RpmPluginPreferencesPage.java : new for prefs store
	* src/com/redhat/eclipse/rpm/core/LinuxShellCmds.java (): changes for prefs store
	* src/com/redhat/eclipse/rpm/core/RPMExportCore.java (): changes for prefs store
	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java (): changes for prefs store
	* src/com/redhat/eclipse/rpm/core/SRPMExport.java (SRPMExport): changes for
		prefs store
	* src/com/redhat/eclipse/rpm/core/TarOps.java (): changes for prefs store

2004-05-05  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/ImportSRPM.java (run): add call to createRPMLogFile()
	* src/com/redhat/eclipse/rpm/core/rpm_strings.properties : add/change error messages
	* src/com/redhat/eclipse/rpm/core/RPMExportCore.java (run): call createRPMLogFile()
	* src/com/redhat/eclipse/rpm/core/RpmCore.java (createRPMLogFile): new method to 
	  create a file to hold the current log file name

2004-04-05  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/SpecFileOps.java (getHostName): add getHostName()
	function to get the hostname for the changelog e-mail address
	(createRPMspec): mod to use the getHostName() function 

2004-04-02  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/rpm_strings.properties : add more complete message when
	  a source rpm has been deleted from a project and another export is attempted
	* src/com/redhat/eclipse/rpm/core/RPMExportCore.java (run): add proj_path to firstRPM call
	* src/com/redhat/eclipse/rpm/core/RpmCore.java (firstSRPM): add proj_path parameter to call
	(getSRPMexportinfo): rmove logic to throw CoreException if missing .srpminfo file 

2004-03-31  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/RpmCore.java (RpmCore): add call to new method checkSrpmExists
	(getSRPMexportinfo): remove check to see if source rpm is still where .srpminfo is pointing to 
	(checkSrpmExists): new method - contains logic removed from getSRPMexportinfo 

2004-03-23  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/RpmCore.java (getSRPMexportinfo): 
	          added additional message about missing source rpm and how to correct it

2004-03-17  Rick Moseley  <rmoseley@redhat.com>

	* src/com/redhat/eclipse/rpm/core/RpmCore.java (deleteEclipseFiles): added the "Binaries"
	   directory to be deleted before exporting a project as a source RPM

2004-02-16  Rick Moseley  <rmoseley@redhat.com>

	* RPMExportCore.java (run): fix error on version number
			parameter being passed to generateSRPMpatch()
	* ImportSRPM.java (executeRPMbuildprep): updated javadoc comments
	* RpmCore.java (setRpmbuild_logname): updated javadoc comments
	* RPMExportCore.java (run): change call to executeRPMbuildprep
	* RpmCore.java (executeRPMbuildprep): removed "import" logic
	* RpmCore.java (executeRPMbuildprep): changed debug verbage
	* ImportSRPM.java (executeRPMbuildprep): added - modified from RpmCore version
	* ImportSRPM.java (getSourceCode): changed call to executeRPMbuildprep

2004-02-15  Rick Moseley  <rmoseley@redhat.com>

	* RpmCore.java (getSRPMexportinfo): remove old debug statement
	* RPMExportCore.java (setUi_spec_file): correct path_to_specfile calculation
	* RpmCore.java (RpmCore): correct path_to_specfile calculation
	* LinuxShellCmds.java : internationalized strings
	* LinuxShellCmds.java (linuxCopy): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* LinuxShellCmds.java (createLinuxShellScript): update javadoc comments
	* rpm_strings.properties : added new internationalization strings
	* RpmCore.java : internationalized the strings
	* RpmCore.java : update javadoc comments
	* RPMExportCore.java (createSRPM): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* RPMExportCore.java (renameSpecFile): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* RPMExportCore.java (run): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* RPMExportCore.java (): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* RPMExportCore.java (): added javadoc comments
	* RPMExport.java : added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* SRPMExport.java (run): added javadoc comments
	* SRPMExport.java (SRPMExport): added javadoc comments
	* SRPMExport.java : added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* SRPMExport.java : update comments
	* SpecFileOps.java (checkForConfigure): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* SpecFileOps.java (traverse): update javadoc comments
	* SpecFileOps.java (createRPMspec): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* SpecFileOps.java (createRPMspec): update javadoc comments
	* SpecFileOps.java (parsePatchArray): update javadoc comments
	* SpecFileOps.java (parsePatchArray): update javadoc comments
	* SpecFileOps.java (checkPatch): updated javadoc comments
	* SpecFileOps.java (changeRPMspecfile): update javadoc comments
	* TarOps.java : added comments
	* TarOps.java (createRPMtarfile): changed message for CoreException
	* TarOps.java (createRPMtarfile): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* TarOps.java (createRPMtarfile): update javadoc comments
	* TarOps.java (renameRPMtarfile): update javadoc comments
	* TarOps.java (untarSource): changed message for CoreException
	* TarOps.java (untarSource): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* ImportSRPM.java : added comments
	* ImportSRPM.java (findTarBallPath): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* ImportSRPM.java (getSourceCode): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* ImportSRPM.java (run): added //$NON-NLS-1$ to lines which do not require 
	internationalization
	* RpmCore.java (installRPMsource): update javadoc comments
	* RpmCore.java (executeRpmBuild): change to e.getMessage()
	* RpmCore.java (deleteRPMresources): update javadoc comments
	* RpmCore.java (createRPMmacros): update javadoc comments
	* RpmCore.java (createRPMrpmrc): update javadoc comments
	* RpmCore.java (deleteEclipseFiles): update javadoc comments
	* RpmCore.java (executeMakeClean): add comments
	* RpmCore.java (getNameVerRel): add javadoc comments
	* RpmCore.java (copyFile): update javadoc comments
	* RpmCore.java (copyFile): update javadoc comments
	* RpmCore.java (getSRPMexportinfo): update javadoc comments
	* RpmCore.java (executeProjConfigure): change error message format
	* RpmCore.java (executeProjConfigure): update javadoc comments
	* RpmCore.java (getConfigOpts): update javadoc comments
	* RpmCore.java (copyDirTree): update javadoc comments
	* RpmCore.java (checkForMakefile): update javadoc comments
	* RpmCore.java (RpmCore): update javadoc comments
	* RpmCore.java : updated javadoc comments
	* RpmCore.java (createRPMmacros): deleted - no longer used
	* RpmCore.java (copySpecFile): deleted - no longer used

2004-02-13  Rick Moseley  <rmoseley@redhat.com>

	* RPMExportCore.java (buildBinaryFromSourceRpm): add call to deleteResources()
	* RpmCore.java (RpmCore): remove _import from the build log name
	* RPMExportCore.java (run): add logic to handle renaming of tarballs
	* TarOps.java (): delete untarSourceandCopy method
	* RPMExportCore.java : added static final variables
	* RPMExport.java (run): add logic to handle user-specified spec files

2004-02-12  Rick Moseley  <rmoseley@redhat.com>

	* ImportSRPM.java (getSourceCode): change message for CoreException
	  to e.getMessage()
	* RpmCore.java :changed debug statement to false
	* ImportSRPM.java (getSourceCode): added debug print statement
	* ImportSRPM.java (run): added try/catch around getSourceCode
	* ImportSRPM.java (run): change message for core exception to 
	e.getMessage() that was thown from a called method

2004-02-12  Rick Moseley  <rmoseley@redhat.com>

* RpmCore.java (copyRpms): add debug statement when debug=true
	* RPMExportCore.java (run): add logic for shortcut for building binary RPMs
	if the source RPM has just been built
	* RPMExportCore.java (findSpecFileName): new method
	* RPMExportCore.java (replaceSpecFile): new method
	* RPMExportCore.java (buildBinaryFromSourceRpm): New method 
	* RpmCore.java (createRPMdirectories): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RpmCore.java (deleteSRPMextrafiles): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RpmCore.java (copyFile): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RPMExport.java :Initialize patch tag and changelog to "" upon instantiation
	* SpecFileOps.java (changeRPMspecfile): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RpmCore.java (setRpmbuild_logname): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RPMExportCore.java (run): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RpmCore.java (generateSRPMpatch): change message for core exception to 
	e.getMessage() that was thown from a called method
	Also, do not throw CoreException if no patch was generated, return a 0
	* RPMExportCore.java (createSRPM): change message for core exception to 
	e.getMessage() that was thown from a called method
	* RPMExportCore.java (createSRPMinfo): change message for core exception to 
	e.getMessage() that was thown from a called method

2004-02-11  Phil Muldoon  <pmuldoon@redhat.com>

	* build.xml: Rewritten
	* .classpath: Regenerated for 2.1.2

2004-02-11  Rick Moseley  <rmoseley@redhat.com>

	* RPMExportCore.java (renameSpecFile): Fix error with the renaming of the spec file; make sure
	"eclipse_" is in front
	* SpecFileOps.java (parseSpecfile): Initailize line_ptr array before using to get rid of any old
	values that may be hanging around
	* RPMExportCore.java (createSRPMinfo): Change variable names to not coincide with global
	names
	* RPMExportCore.java (run): Change option from "bs" to the correct "-bs"
	* RPMExportCore.java (createSRPM): change variable name from export_opt to which_rpm
	* RPMExportCore.java (): Initialize the "which_rpm" variable in the constructor
	* RpmCore.java (RpmCore): Move logic for "else" to correct area to make sure variables are
	initialized when exporting a project that was not previously an RPM

2004-02-11  Phil Muldoon  <pmuldoon@redhat.com>

	* Initial Import

